Skip to main content
GET
All meters

Authorizations

X-API-KEY
string
header
required

API key used for authorization and authentication.

Query Parameters

sortField
enum<string>
required

Sorting field. Default value is USER_ID

Available options:
USER_ID,
VENDOR,
IS_ONLINE,
LAST_UPDATED
uuid
string<uuid>

Search by UUID

userId
string

Search by user ID (partial match, case-insensitive)

isOnline
boolean

Filter by online status

name
string

Search by display name (partial match, case-insensitive)

vendor
enum<string>

Filter by vendor

Available options:
FRONIUS,
TESLA,
HUAWEI,
SMA,
ENPHASE
model
string

Search by model (partial match, case-insensitive)

lastUpdatedFrom
string<date-time>

Filter by UTC last updated date (from this date onwards).

lastUpdatedTo
string<date-time>

Filter by UTC last updated date (To this date).

sortOrder
enum<string>
required

Sorting order. Default value is DESC.

Available options:
ASC,
DESC
page
integer<int32>
required

Zero-based page index (0..N)

Required range: x >= 0
size
integer<int32>
required

The size of the page to be returned. Default value is 10. Maximum value is 100.

Required range: 1 <= x <= 100

Response

Successful operation

totalPages
integer<int64>
required

Total number of pages.

Example:

1

content
object[]
required

Elements in the page. If there is no elements the list will be empty.

totalElements
integer<int64>
required

Total number of elements.

Example:

1